hawq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Radar Lei (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HAWQ-1421) Improve PXF rpm package name format and dependencies
Date Wed, 29 Mar 2017 15:00:46 GMT
Radar Lei created HAWQ-1421:
-------------------------------

             Summary: Improve PXF rpm package name format and dependencies
                 Key: HAWQ-1421
                 URL: https://issues.apache.org/jira/browse/HAWQ-1421
             Project: Apache HAWQ
          Issue Type: Improvement
          Components: Build
            Reporter: Radar Lei
            Assignee: Ed Espino
             Fix For: 2.2.0.0-incubating


If we build pxf rpm package by 'make rpm', we will get below pxf packages:
{quote}
  apache-tomcat-7.0.62-el6.noarch.rpm
  pxf-3.2.1.0-root.el6.noarch.rpm
  pxf-hbase_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
  pxf-hdfs_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
  pxf-hive_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
  pxf-jdbc_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
  pxf-json_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
  pxf-service_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
{quote}

These rpm packages have dependencies on Apache Hadoop components only, some other Hadoop distributes
can't satisfy it. E.g. :
{quote}
rpm -ivh pxf-hdfs_3_2_1_0-3.2.1.0-root.el6.noarch.rpm
error: Failed dependencies:
	pxf-service_3_2_1_0 >= 3.2.1.0 is needed by pxf-hdfs_3_2_1_0-0:3.2.1.0-root.el6.noarch
	hadoop >= 2.7.1 is needed by pxf-hdfs_3_2_1_0-0:3.2.1.0-root.el6.noarch
	hadoop-mapreduce >= 2.7.1 is needed by pxf-hdfs_3_2_1_0-0:3.2.1.0-root.el6.noarch
{quote}

We'd better make the rpm package name format and dependencies better. 
  1. Remove the version string like '3_2_1_0'.
  2. Remove the user name from the build environment.
  3. Consider do we need to include the apache-tomcat rpm package into HAWQ rpm release tarball.
  4. Improve the hard code 'el6' string. (This might be optinal)
  5. Improve the dependencies, including the dependencies between these pxf rpm packages.





--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message